set more off
clear

cd "~/Dropbox/contest/QE submission supporting document"
use all_observations.dta,clear
set scheme s1mono


//-===figure 4  (1)
preserve 
keep if round_number == 2
collapse (mean) meanperformance= performance (sd) sdperformance=performance (count) n=performance, by(treated treatment)
replace treated = treated + 2 if treatment == 3
replace treated = treated + 4 if treatment == 2
replace treated = treated + 6 if treatment == 4

generate hi = meanperformance + invttail(n-1,0.025)*(sdperformance / sqrt(n))
generate lo = meanperformance - invttail(n-1,0.025)*(sdperformance / sqrt(n))
tw (bar meanperformance treated if treatment == 1, barwidth(0.5) fcolor(black) ) ///
(bar meanperformance treated if treatment == 3, barwidth(0.5)fcolor(gs5) ) ///
(bar meanperformance treated if treatment == 2, barwidth(0.5) fcolor(gs10)) /// 
(bar meanperformance treated if treatment == 4, barwidth(0.5) fcolor(gs15)) ///
(rcap hi lo treated if treatment == 1, lcolor(black)) ///
(rcap hi lo treated if treatment == 3, lcolor(black)) ///
(rcap hi lo treated if treatment == 2, lcolor(black)) ///
(rcap hi lo treated if treatment == 4, lcolor(black)), ///
legend(order(1 "Baseline" 2 "FutureInfo"  3 "PastInfo" 4 "PastWinUn") row(1)) ///
xlabel(0 "Lost" 1 "Won" 2 "Lost" 3 "Won"  4 "Lost" 5 "Won" 6 "Lost" 7 "Won") xtitle("") ///
title(Round 2: strings completed) ylabel(10 (5) 25)  
graph save "graphs/mean_perf.gph", replace
restore

preserve 
//this one is for effort change figure 4(2)
keep if round_number == 2
collapse (mean) meanperformance= effort_change (sd) sdperformance=effort_change (count) n=effort_change, by(treated treatment)
replace treated = treated + 2 if treatment == 2
replace treated = treated + 4 if treatment == 4

generate hi = meanperformance + invttail(n-1,0.025)*(sdperformance / sqrt(n))
generate lo = meanperformance - invttail(n-1,0.025)*(sdperformance / sqrt(n))
tw (bar meanperformance treated if treatment == 1, barwidth(0.5) fcolor(black) ) ///
(bar meanperformance treated if treatment == 2, barwidth(0.5) fcolor(gs10)) ///
(bar meanperformance treated if treatment == 4, barwidth(0.5) fcolor(gs15)) ///
(rcap hi lo treated if treatment == 1, lcolor(black)) ///
(rcap hi lo treated if treatment == 2, lcolor(black)) ///
(rcap hi lo treated if treatment == 4, lcolor(black)), ///
legend(order(1 "Baseline" 2 "PastInfo" 3 "PastWinUn") row(1)) xlabel(0 "Lost" 1 "Won" 2 "Lost" 3 "Won" 4 "Lost" 5 "Won") xtitle("") title(Round 2: change in strings completed) ylabel(-6 (2) 6) 
graph save "graphs/mean_dif12.gph", replace	
restore

//figure 4 (3)
preserve 
keep if round_number == 2
collapse (mean) meanperformance= stop_time (sd) sdperformance=stop_time (count) n=stop_time, by(treated treatment)
replace treated = treated + 2 if treatment == 3
replace treated = treated + 4 if treatment == 2
replace treated = treated + 6 if treatment == 4

generate hi = meanperformance + invttail(n-1,0.025)*(sdperformance / sqrt(n))
generate lo = meanperformance - invttail(n-1,0.025)*(sdperformance / sqrt(n))
tw (bar meanperformance treated if treatment == 1, barwidth(0.5) fcolor(black) ) ///
(bar meanperformance treated if treatment == 3, barwidth(0.5)fcolor(gs5) ) ///
(bar meanperformance treated if treatment == 2, barwidth(0.5) fcolor(gs10)) /// 
(bar meanperformance treated if treatment == 4, barwidth(0.5) fcolor(gs15)) ///
(rcap hi lo treated if treatment == 1, lcolor(black)) ///
(rcap hi lo treated if treatment == 3, lcolor(black)) ///
(rcap hi lo treated if treatment == 2, lcolor(black)) ///
(rcap hi lo treated if treatment == 4, lcolor(black)), ///
legend(order(1 "Baseline" 2 "FutureInfo"  3 "PastInfo" 4 "PastWinUn") row(1)) ///
xlabel(0 "Lost" 1 "Won" 2 "Lost" 3 "Won"  4 "Lost" 5 "Won" 6 "Lost" 7 "Won") xtitle("") ///
title(Round 2: time spent) ylabel(5 (1) 10)  
graph save "graphs/mean_stop_time.gph", replace
restore

// figure 4(4)
preserve 
keep if round_number == 2
collapse (mean) meanperformance= stop_time_change (sd) sdperformance=stop_time_change (count) n=stop_time_change, by(treated treatment)
replace treated = treated + 2 if treatment == 2
replace treated = treated + 4 if treatment == 4

generate hi = meanperformance + invttail(n-1,0.025)*(sdperformance / sqrt(n))
generate lo = meanperformance - invttail(n-1,0.025)*(sdperformance / sqrt(n))
tw (bar meanperformance treated if treatment == 1, barwidth(0.5) fcolor(black) ) ///
(bar meanperformance treated if treatment == 2, barwidth(0.5) fcolor(gs10)) ///
(bar meanperformance treated if treatment == 4, barwidth(0.5) fcolor(gs15)) ///
(rcap hi lo treated if treatment == 1, lcolor(black)) ///
(rcap hi lo treated if treatment == 2, lcolor(black)) ///
(rcap hi lo treated if treatment == 4, lcolor(black)), ///
legend(order(1 "Baseline" 2 "PastInfo" 3 "PastWinUn") row(1)) ///
xlabel(0 "Lost" 1 "Won" 2 "Lost" 3 "Won" 4 "Lost" 5 "Won") xtitle("") ///
title(Round 2: change in time spent) ylabel(-3(1)3)
graph save "graphs/mean_stop_time12.gph", replace
restore

grc1leg "graphs/mean_perf.gph" "graphs/mean_dif12.gph" "graphs/mean_stop_time.gph" "graphs/mean_stop_time12.gph"
graph export "graphs/summary_graphs.png", as(png) replace  width(2000)	



