set more off
clear
set seed 1234
cd "~/Dropbox/contest/QE submission supporting document"
use all_observations.dta,clear

//use all-treatment-all-parts_UTS.dta,clear //UTS dataset
//use all_data_previous_corrected.dta,clear //QUT dataset


//===========get the range in figure 7
psmatch2 treated if round_number == 2 & treatment == 1&new_data==0, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
gen p_support = p_score if round_number == 2 & treatment == 1 & _support == 1&new_data==0
psmatch2 treated if round_number == 2 & treatment == 1&new_data==1, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
replace p_support = p_score if round_number == 2 & treatment == 1 & _support == 1&new_data==1

psmatch2 treated if round_number == 2 & treatment == 2&new_data==0, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
replace p_support = p_score if round_number == 2 & treatment == 2 & _support == 1&new_data==0
psmatch2 treated if round_number == 2 & treatment == 2&new_data==1, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
replace p_support = p_score if round_number == 2 & treatment == 2 & _support == 1&new_data==1

psmatch2 treated if round_number == 2 & treatment == 4&new_data==0, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
replace p_support = p_score if round_number == 2 & treatment == 4 & _support == 1&new_data==0
psmatch2 treated if round_number == 2 & treatment == 4&new_data==1, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
replace p_support = p_score if round_number == 2 & treatment == 4 & _support == 1&new_data==1

by treatment new_data,sort: sum p_support

//==================================figure 7===================================================
set scheme s1mono
preserve 
keep if new_data==0
tw (function y=4, range(0.41 0.59) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 1 & round_number == 1 & treated == 1,lwidth(0.5) lcolor(blue)) ///
(kdensity p_win if treatment == 1 & round_number == 1 & treated == 0,lwidth(0.5) lcolor(red) lpattern(dash)) , ///
xline(0.41 0.59) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" ) col(3) ) ///
ytitle(Density) xtitle(Round 1 winning odds) title(Baseline) xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT1",replace

tw (function y=4, range(0.27 0.73) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 2 & round_number == 1 & treated == 1,lwidth(0.5)  lcolor(blue)) ///
(kdensity p_win if treatment == 2 & round_number == 1 & treated == 0,lwidth(0.5)  lcolor(red)  lpattern(dash)), ///
xline(0.27 0.73) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" )) ///
ytitle(Density) xtitle(Round 1 winning odds)  title(PastInfo)	xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT2",replace


tw (function y=4, range(0.36 0.64) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 4 & round_number == 1 & treated == 1,lwidth(0.5)  lcolor(blue)) ///
(kdensity p_win if treatment == 4 & round_number == 1 & treated == 0,lwidth(0.5)  lcolor(red)  lpattern(dash)), ///
xline(0.36 0.64) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" )) ///
ytitle(Density) xtitle(Round 1 winning odds)  title(PastWinUn)	xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT4",replace
restore

preserve 
keep if new_data==1
tw (function y=4, range(0.08 0.92) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 1 & round_number == 1 & treated == 1,lwidth(0.5) lcolor(blue)) ///
(kdensity p_win if treatment == 1 & round_number == 1 & treated == 0,lwidth(0.5) lcolor(red) lpattern(dash)) , ///
xline(0.08 0.92) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" ) col(3) ) ///
ytitle(Density) xtitle(Round 1 winning odds) title(Baseline) xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT1_2",replace

tw (function y=4, range(0.28 0.72) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 2 & round_number == 1 & treated == 1,lwidth(0.5)  lcolor(blue)) ///
(kdensity p_win if treatment == 2 & round_number == 1 & treated == 0,lwidth(0.5)  lcolor(red)  lpattern(dash)), ///
xline(0.28 0.72) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" )) ///
ytitle(Density) xtitle(Round 1 winning odds)  title(PastInfo)	xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT2_2",replace


tw (function y=4, range(0.30 0.70) recast(area) color(gs12) base(0)) ///
(kdensity p_win if treatment == 4 & round_number == 1 & treated == 1,lwidth(0.5)  lcolor(blue)) ///
(kdensity p_win if treatment == 4 & round_number == 1 & treated == 0,lwidth(0.5)  lcolor(red)  lpattern(dash)), ///
xline(0.30 0.70) legend(order(2 "Winners" 3 "Losers" 1 "Common Support" )) ///
ytitle(Density) xtitle(Round 1 winning odds)  title(PastWinUn)	xlabel(0 (0.2) 1) 	ylabel(0 (1) 4)
graph save "commonT4_2",replace
restore 

grc1leg "commonT1" "commonT2" "commonT4" "commonT1_2" "commonT2_2" "commonT4_2", cols(3)
graph export "common.png", as(png) replace  width(2000)	
//==============================================================================


//su p_score if treatment == 1 & round_number == 2, detail
//su p_score if treatment == 2 & round_number == 2, detail
//bys treated: su p_score if treatment == 1 & round_number == 2, detail
//bys treated: su p_score if treatment == 2 & round_number == 2, detail



//bys treated: su p_score if _support != 1 & treatment == 2 & round_number == 2
//ranksum p_support if round_number == 2 & treated == 1, by(treatment)
//ranksum p_support if round_number == 2 & treated == 0, by(treatment)

//=========================table 12 Summary statistics over the common support=================
// raw_performance data
//T1
preserve 
keep if treatment == 1&new_data==0
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore
//T2
preserve 
keep if treatment == 2& pair != 15&new_data==0
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore
//T4
preserve 
keep if treatment == 4 &new_data==0 
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore

//=========================table 13 Summary statistics over the common support=================

// contest performance data
//T1
preserve 
keep if treatment == 1&new_data==1
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore
//T2
preserve 
keep if treatment == 2&new_data==1
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore
//T4
preserve 
keep if treatment == 4 &new_data==1
psmatch2 treated if round_number == 2, llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
keep if _support == 1
by treated,sort: su effort_change stop_time_change productivity_change if round_number == 2
ranksum effort_change if round_number == 2, by(treated)
ranksum stop_time_change if round_number == 2, by(treated)
ranksum productivity_change if round_number == 2, by(treated)
restore
//==============================================================================



//table 11 Effect of winning round 1 on effort in round 2 
//for \textit{PastInfo} with the same common support as \textit{Baseline}.==========
global rep = 2000
global bw = 0.025

//QUT data
preserve
psmatch2 treated if round_number == 2 & treatment == 1&new_data==0, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
su p_score if _support == 1
keep if p_score>r(min) & p_score<r(max)

bootstrap r(ate), seed(1234) rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 & pair != 15&new_data==0, ///
llr outcome(effort_change)  pscore(p_score)  ate common bwidth($bw)

bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 & pair != 15&new_data==0, ///
llr outcome(stop_time_change)  pscore(p_score)  ate common bwidth($bw)

bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 & pair != 15&new_data==0, ///
llr outcome(productivity_change)  pscore(p_score)  ate common bwidth($bw)

//bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(pair session) : ///
//psmatch2 treated if round_number == 2 & treatment == 2 & pair != 15&new_data==0, ///
//llr outcome(p_win_change)  pscore(p_score)  ate common bwidth($bw)
restore

//UTS data
preserve
psmatch2 treated if round_number == 2 & treatment == 1&new_data==1, ///
llr outcome(performance)  pscore(p_score)  ate common bwidth($bw)
su p_score if _support == 1
keep if p_score>r(min) & p_score<r(max)

bootstrap r(ate), seed(1234) rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 &new_data==1, ///
llr outcome(effort_change)  pscore(p_score)  ate common bwidth($bw)

bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 &new_data==1, ///
llr outcome(stop_time_change)  pscore(p_score)  ate common bwidth($bw)

bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(session) : ///
psmatch2 treated if round_number == 2 & treatment == 2 &new_data==1, ///
llr outcome(productivity_change)  pscore(p_score)  ate common bwidth($bw)

//bootstrap r(ate), seed(1234)  rep($rep) nodots  cluster(pair session) : ///
//psmatch2 treated if round_number == 2 & treatment == 2 & pair != 15&new_data==0, ///
//llr outcome(p_win_change)  pscore(p_score)  ate common bwidth($bw)
restore

//=======================================================================

/*
//diff in a pair on common support
sort uniq_id round_number
bys uniq_id: gen pr_perf = performance[_n-1] if round_number == 1
keep if round_number == 1
sort id_group session
bys id_group session: gen opp_pr = pr_perf[_n-1]
gen dif_players = pr_perf-opp_pr
gen support = 0
replace support = 1 if treatment == 1 & (p_win>= 0.41 | p_win<=0.59)
replace support = 1 if treatment == 2 & (p_win>= 0.27 | p_win<=0.73)
su dif_players if support == 1 & round_number == 1 
*/
