
cd "~/Dropbox/contest/QE submission supporting document"

set more off
clear
set seed 1235
set scheme s1mono

global b_max1 = 0.09
global b_max2 =  0.23
global b_max4 =  0.14

//===================raw_performance_data===========================

// effort_change
global outcome "effort_change"
use "bw_effort_change_raw_performance.dta",clear

tab p1  if bwidth<=0.5
tab p2 if bwidth<=0.5
tab p4 if bwidth<=0.1

replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1

replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1

replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1



label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

//tab p1 bwidth  if bwidth<=0.1

//tab  p2 bwidth   if bwidth<=0.22 &p2<=10

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4


tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue)  ) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue)) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5) lwidth(0.5) lcolor(black)) ///
(scatteri 10 0.037 -5 0.037  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.09) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(Baseline - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5) lcolor(blue)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change1_raw_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) ) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) ) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 10 0.041 -5 0.041  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.23) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(PastInfo - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change2_raw_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 10 0.016 -5 0.016  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.14) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(PastWinUn - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change4_raw_performance.png", as(png) replace  width(2000)	



// stop_time_change

global outcome "stop_time_change"
cd "~/Dropbox/contest/UTS analyses"
use "bw_time_change_raw_performance.dta",clear

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

//tab p1 bwidth  if bwidth<=0.1

//tab  p2 bwidth   if bwidth<=0.22 &p2<=10

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) ) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.037 -1.5 0.037  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.09) xtitle(Bandwidth)  ylabel(-1.5(1.5)4.5) ytitle(ATE) title(Baseline - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change1_raw_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.01 -1.5 0.01  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.23) xtitle(Bandwidth)   ylabel(-1.5(1.5)4.5) ytitle(ATE) title(PastInfo - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change2_raw_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.015 -1.5 0.015  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.14) xtitle(Bandwidth)  ylabel(-1.5(1.5)4.5) ytitle(ATE) title(PastWinUn - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change4_raw_performance.png", as(png) replace  width(2000)	

// prod_change
global outcome "productivity_change"
use "bw_prod_change_raw_performance.dta",clear

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) ///
(scatteri 1.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1.5 0.089 -0.5 0.089  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.09) xtitle(Bandwidth)  ylabel(-0.5(0.5)1.5) ytitle(ATE) title(Baseline - Change in productivity) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change1_raw_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) ///
(scatteri 1.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1.5 0.041 -0.5 0.041  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.23) xtitle(Bandwidth) ylabel(-0.5(0.5)1.5)  ytitle(ATE) title(PastInfo - Change in productivity) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change2_raw_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 1.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1.5 0.014 -0.5 0.014  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.14) xtitle(Bandwidth)  ylabel(-0.5(0.5)1.5) ytitle(ATE) title(PastWinUn - Change in productivity) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change4_raw_performance.png", as(png) replace  width(2000)	

// p_win_change
global outcome "p_win_change"
use "bw_p_win_change_raw_performance.dta",clear

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) ///
(scatteri 1 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1 0.044 -0.5 0.044  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.09) xtitle(Bandwidth)  ylabel(-0.5(0.2)1) ytitle(ATE) title(Baseline - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change1_raw_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) ///
(scatteri 1 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1 0.01 -0.5 0.01  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.22) xtitle(Bandwidth) ylabel(-0.5(0.2)1)  ytitle(ATE) title(PastInfo - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change2_raw_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 1 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 1 0.14 -0.5 0.14  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.14) xtitle(Bandwidth)  ylabel(-0.5(0.2)1) ytitle(ATE) title(PastWinUn - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change4_raw_performance.png", as(png) replace  width(2000)	



//===================contest performance pairing=======================
clear
set seed 1235
set scheme s1mono

global b_max1 = 0.42
global b_max2 =  0.22
global b_max4 =  0.21


// effort_change
global outcome "effort_change"
use "bw_effort_change_contest_performance.dta",clear

tab p1  if bwidth<=0.5
tab p2 if bwidth<=0.5
tab p4 if bwidth<=0.1

replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1

replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1

replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1



label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4


tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue)  ) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue)) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5) lwidth(0.5) lcolor(black)) ///
(scatteri 10 0.42 -5 0.42  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.05)0.5) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(Baseline - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5) lcolor(blue)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change1_contest_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) ) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) ) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 10 0.037 -5 0.037  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.23) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(PastInfo - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change2_contest_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 10 0.025 -5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 10 0.075 -5 0.075  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.21) xtitle(Bandwidth)  ylabel(-5(2.5)10) ytitle(ATE) title(PastWinUn - Change in number of strings completed) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_effort_change4_contest_performance.png", as(png) replace  width(2000)	


// stop_time_change

global outcome "stop_time_change"
use "bw_time_change_contest_performance.dta",clear

global b_max1 = 0.42
global b_max2 =  0.22
global b_max4 =  0.21

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

//tab p1 bwidth  if bwidth<=0.1

//tab  p2 bwidth   if bwidth<=0.22 &p2<=10

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) ) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.016 -1.5 0.016  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.42) xtitle(Bandwidth)  ylabel(-1.5(1.5)4.5) ytitle(ATE) title(Baseline - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change1_contest_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.146 -1.5 0.146  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.22) xtitle(Bandwidth)   ylabel(-1.5(1.5)4.5) ytitle(ATE) title(PastInfo - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change2_contest_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 4.5 0.025 -1.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 4.5 0.041 -1.5 0.041  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.21) xtitle(Bandwidth)  ylabel(-1.5(1.5)4.5) ytitle(ATE) title(PastWinUn - Change in stopping time) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_time_change4_contest_performance.png", as(png) replace  width(2000)	


// prod_change
global outcome "productivity_change"
use "bw_prod_change_contest_performance.dta",clear

global b_max1 = 0.42
global b_max2 =  0.22
global b_max4 =  0.21

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.354 -0.5 0.354  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.1)0.4) xtitle(Bandwidth)  ylabel(-0.5(0.2)0.5) ytitle(ATE) title(Baseline - Change in productivity) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change1_contest_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.037 -0.5 0.037  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.22) xtitle(Bandwidth) ylabel(-0.5(0.2)0.5)  ytitle(ATE) title(PastInfo - Change in productivity) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change2_contest_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.057 -0.5 0.057  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.21) xtitle(Bandwidth)  ylabel(-0.5(0.2)0.5) ytitle(ATE) title(PastWinUn - Change in productivity) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_prod_change4_contest_performance.png", as(png) replace  width(2000)	

// p_win_change
global outcome "p_win_change"
use "bw_p_win_change_contest_performance.dta",clear


global b_max1 = 0.42
global b_max2 =  0.22
global b_max4 =  0.21

tab p1  if bwidth<=0.1
tab p2  if bwidth<=0.23
tab p4  if bwidth<=0.14
replace p1 = p1*100
replace p2 = p2*100
replace p4 = p4*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1
replace p4 = 100 if p4>10
replace p4 = 10 if p4<=10 &p4>5
replace p4 = 5 if p4<5 &p4>1
replace p4 = 1 if p4<1
label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 p4 pvals

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2
gen up_4 = b4 + 1.96*se4
gen l_4 = b4 - 1.96*se4

tw   (line b1 bwidth if bwidth<=$b_max1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) (line l_1 bwidth if bwidth<=$b_max1, lcolor(blue) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.056 -0.5 0.056  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.1)0.4) xtitle(Bandwidth)  ylabel(-0.5(0.2)0.5) ytitle(ATE) title(Baseline - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change1_contest_performance.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.22 -0.5 0.22  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.22) xtitle(Bandwidth) ylabel(-0.5(0.2)0.5)  ytitle(ATE) title(PastInfo - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change2_contest_performance.png", as(png) replace  width(2000)	

tw   (line b4 bwidth if bwidth<=$b_max4, lwidth(0.5) lcolor(black) mcolor(black) mlabsize(medium) mlabel(p4) mlabp(12)) ///
(line up_4 bwidth if bwidth<=$b_max4, lcolor(black) ) (line l_4 bwidth if bwidth<=$b_max4, lcolor(black) ) ///
(scatteri 0.5 0.025 -0.5 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.074 -0.5 0.074  , recast(line) lpattern(.._.._..) lcolor(black)) ///
, xlabel(0(0.02)0.21) xtitle(Bandwidth)  ylabel(-0.5(0.2)0.5) ytitle(ATE) title(PastWinUn - Change in winning probability) yline(0,lpattern(dot) lwidth(0.5))  ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "bw_p_win_change4_contest_performance.png", as(png) replace  width(2000)	

/*
// pwin_change
global outcome "p_win_change"
use "bw_p_win_change_raw_performance.dta",clear

tab p1  if bwidth<=0.09
tab p2  if bwidth<=0.22
replace p1 = p1*100
replace p2 = p2*100

replace p1 = 100 if p1>10
replace p1 = 10 if p1<=10 &p1>5
replace p1 = 5 if p1<5 &p1>1
replace p1 = 1 if p1<1
replace p2 = 100 if p2>10
replace p2 = 10 if p2<=10 &p2>5
replace p2 = 5 if p2<5 &p2>1
replace p2 = 1 if p2<1


label define pvals 1 "***" 5 "**"  10 "*" 100 " "
label values p1 p2 pvals 

gen up_1 = b1 + 1.96*se1
gen l_1 = b1 - 1.96*se1
gen up_2 = b2 + 1.96*se2
gen l_2 = b2 - 1.96*se2

tw   (line b1 bwidth if bwidth<=0.1, lwidth(0.5) lcolor(blue)  mcolor(blue) mlabsize(medium)  mlabp(12)) ///
(line up_1 bwidth if bwidth<=0.1, lcolor(blue) lpattern(solid)) (line l_1 bwidth if bwidth<=0.1, lcolor(blue) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.25 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.044 -0.25 0.044  , recast(line) lpattern(.._.._..) lcolor(blue)) ///
, xlabel(0(0.02)0.1) xtitle(Bandwidth)  ylabel(-0.25(0.25)0.5) ytitle(ATE) title(Baseline - Change in winning odds) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "graphs\bw_p_win_change1.png", as(png) replace  width(2000)	

tw   (line b2 bwidth if bwidth<=$b_max2, lwidth(0.5) lcolor(red) mcolor(red) mlabsize(medium) mlabel(p2) mlabp(12)) ///
(line up_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) (line l_2 bwidth if bwidth<=$b_max2, lcolor(red) lpattern(solid)) ///
(scatteri 0.5 0.025 -0.25 0.025  , recast(line) lpattern(dot) lwidth(0.5)) ///
(scatteri 0.5 0.01 -0.25 0.01  , recast(line) lpattern(.._.._..) lcolor(red)) ///
, xlabel(0(0.02)0.22) xtitle(Bandwidth) ylabel(-0.25(0.25)0.5)  ytitle(ATE) title(PastInfo - Change in winning odds) yline(0,lpattern(dot) lwidth(0.5)) xline(0.025,lpattern(dot) lwidth(0.5)) ///
legend(order(1 "ATE" 2 "95% Confidence interval" 4 "Benchmark bw" 5 "Optimal bw"))
graph export "graphs\bw_p_win_change2.png", as(png) replace  width(2000)	
*?
