set more off
clear
set seed 1235

cd "~/Dropbox/contest/QE submission supporting document"

////========================= raw_performance_pairing=====================
global rep = 2000
cap postclose myhandle
// effort_change
postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 b4 z4 se4 p4 bwidth using "bw_effort_change_raw_performance.dta", replace	
global outcome "effort_change"
set more off
set scheme s1mono
use raw_performance_pairing.dta,clear //QUT dataset
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09
psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23
psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.14

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle

// stop_time_change
postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 b4 z4 se4 p4  bwidth using "bw_time_change_raw_performance.dta", replace	
global outcome "stop_time_change"
set more off
set scheme s1mono
clear
use raw_performance_pairing.dta,clear //QUT dataset
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.14

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


// productivity change

postfile myhandle b1 z1 se1 p1 b2 z2 se2 p2 b4 z4 se4 p4 bwidth using "bw_prod_change_raw_performance.dta", replace	
global outcome "productivity_change"
set more off
set scheme s1mono
use raw_performance_pairing.dta,clear //QUT dataset
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.14

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


// p_win change

postfile myhandle b1 z1 se1 p1 b2 z2 se2 p2 b4 z4 se4 p4 bwidth using "bw_p_win_change_raw_performance.dta", replace	
global outcome "p_win_change"
set more off
set scheme s1mono
use raw_performance_pairing.dta,clear //QUT dataset

psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.14

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


//===============================contest_performance data============================================================
use contest_performance_pairing.dta,replace

global rep = 2000
cap postclose myhandle
// effort_change
postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 b4 z4 se4 p4 bwidth using "bw_effort_change_contest_performance.dta", replace	
global outcome "effort_change"
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.42
psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.22
psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.21

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots  : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle

// stop_time_change
postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 b4 z4 se4 p4  bwidth using "bw_time_change_contest_performance.dta", replace	
global outcome "stop_time_change"

psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.42

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.22

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.21

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


// productivity change

postfile myhandle b1 z1 se1 p1 b2 z2 se2 p2 b4 z4 se4 p4 bwidth using "bw_prod_change_contest_performance.dta", replace	
global outcome "productivity_change"
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.42

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.22

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.21

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


// p_win change

postfile myhandle b1 z1 se1 p1 b2 z2 se2 p2 b4 z4 se4 p4 bwidth using "bw_p_win_change_contest_performance.dta", replace	
global outcome "p_win_change"
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.42

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.22

psmatch2 treated if round_number == 2 & treatment ==4, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max4 = 0.21

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	if `b'<=$b_max4 {	
		bootstrap r(ate), seed(1234) rep($rep) nodots   : psmatch2 treated if round_number == 2 & treatment == 4  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z4 = _b[_bs_1]/_se[_bs_1]
		global se4 = _se[_bs_1]
		global b4 = _b[_bs_1]
		global p4 = round(2*(1-normal(abs($z4))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) ($b4)  ($z4) ($se4) ($p4) (`b')
	}
	

postclose myhandle


/*
// p_win change

postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 bwidth using "data\bw_p_win_change.dta", replace	
global outcome "p_win_change"
set more off
set scheme s1mono
clear
cd "C:\Users\descampa\Dropbox\contests"
use "data\all_data", clear 
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		bootstrap r(ate), rep($rep) nodots  cluster(session pair): psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z1 = _b[_bs_1]/_se[_bs_1]
		global se1 = _se[_bs_1]
		global b1 = _b[_bs_1]
		global p1 = round(2*(1-normal(abs($z1))),0.01)

		}
	if `b'<=$b_max2 {	
		bootstrap r(ate), rep($rep) nodots  cluster(session pair): psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z2 = _b[_bs_1]/_se[_bs_1]
		global se2 = _se[_bs_1]
		global b2 = _b[_bs_1]
		global p2 = round(2*(1-normal(abs($z2))),0.01)
		}
	post myhandle  ($b1) ($z1) ($se1) ($p1) ($b2)  ($z2) ($se2) ($p2) (`b')
	}
	

postclose myhandle


cap postclose myhandle

postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 bwidth using "data\bw_pwin.dta", replace	
set more off
set scheme s1mono
clear
cd "C:\Users\descampa\Dropbox\contests"
use "data\all_data", clear 
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome(p_win)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome(p_win)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23


// p_win	
forvalues b =  0.01(0.005)0.5 {
	
	if `b'<=$b_max1 {	
		psmatch2 treated if round_number == 2 & treatment == 1, llr outcome(p_win) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se1 = _se[ _bs_1]
		global p1 = round(2*(1-normal(abs($z))),0.01)
		global b1 = _b[ _bs_1]
		}
	if `b'<=$b_max2 {	
		psmatch2 treated if round_number == 2 & treatment == 2  != 15 , llr outcome(p_win) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se2 = _se[ _bs_1]
		global p2 = round(2*(1-normal(abs($z))),0.01)
		global b2 = _b[ _bs_1]
		}
	post myhandle  ($b1) ($se1) ($p1) ($b2) ($se2) ($p2) (`b') 
	}
	

postclose myhandle

// performance
postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 bwidth using "data\bw_perf.dta", replace	
global outcome "performance"
set more off
set scheme s1mono
clear
cd "C:\Users\descampa\Dropbox\contests"
use "data\all_data", clear 
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se1 = _se[ _bs_1]
		global p1 = round(2*(1-normal(abs($z))),0.01)
		global b1 = _b[ _bs_1]
		}
	if `b'<=$b_max2 {	
		psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se2 = _se[ _bs_1]
		global p2 = round(2*(1-normal(abs($z))),0.01)
		global b2 = _b[ _bs_1]
		}
	post myhandle  ($b1) ($se1) ($p1) ($b2) ($se2) ($p2) (`b')
	}
	

postclose myhandle

// stop_time

postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 bwidth using "data\bw_stop.dta", replace	
global outcome "stop_time"
set more off
set scheme s1mono
clear
cd "C:\Users\descampa\Dropbox\contests"
use "data\all_data", clear 
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se1 = _se[ _bs_1]
		global p1 = round(2*(1-normal(abs($z))),0.01)
		global b1 = _b[ _bs_1]
		}
	if `b'<=$b_max2 {	
		psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se2 = _se[ _bs_1]
		global p2 = round(2*(1-normal(abs($z))),0.01)
		global b2 = _b[ _bs_1]
		}
	post myhandle  ($b1) ($se1) ($p1) ($b2) ($se2) ($p2) (`b')
	}
	

postclose myhandle


// productivity

postfile myhandle b1 z1 se1 p1 b2 z2  se2 p2 bwidth using "data\bw_prod.dta", replace	
global outcome "productivity"
set more off
set scheme s1mono
clear
cd "C:\Users\descampa\Dropbox\contests"
use "data\all_data", clear 
drop if pair == 15
psmatch2 treated if round_number == 2 & treatment ==1, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max1 =0.09

psmatch2 treated if round_number == 2 & treatment ==2, llr outcome($outcome)   pscore(p_score)  ate   common 
su p_score if _support == 1
global b_max2 = 0.23

forvalues b =  0.01(0.005)0.5 {
	if `b'<=$b_max1 {	
		psmatch2 treated if round_number == 2 & treatment == 1  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se1 = _se[ _bs_1]
		global p1 = round(2*(1-normal(abs($z))),0.01)
		global b1 = _b[ _bs_1]
		}
	if `b'<=$b_max2 {	
		psmatch2 treated if round_number == 2 & treatment == 2  , llr outcome($outcome) bwidth(`b')  pscore(p_score)  ate   common
		global z = _b[ _bs_1]/_se[ _bs_1]
		global se2 = _se[ _bs_1]
		global p2 = round(2*(1-normal(abs($z))),0.01)
		global b2 = _b[ _bs_1]
		}
	post myhandle  ($b1) ($se1) ($p1) ($b2) ($se2) ($p2) (`b')
	}
	

postclose myhandle
*/
