cd "~/Dropbox/contest/QE submission supporting document"

//treatments:
//treatment==1 -> Baseline
//treatment==2 -> PastInfo
//treatment==3 -> FutureInfo
//treatment==4 -> PastWinUn

//===========================Table 2=========================================

//===All observations===
use all_observations.dta,clear

//Eval.Stage
sum performance if round_number ==0 
by treatment,sort: sum performance if round_number ==0 
kwallis performance if  round_number == 0, by(treatment)

//Round 1
sum performance if round_number ==1&treatment!=3
by treatment,sort: sum performance if round_number ==1
kwallis performance if treatment != 3 & round_number == 1, by(treatment)

//Round 2
sum performance if round_number ==2
by treatment,sort: sum performance if round_number ==2
kwallis performance if round_number == 2, by(treatment)

//Round 3
sum performance if round_number ==3&done==0&(treatment==1|treatment==3)
by treatment,sort: sum performance if round_number ==3 &done ==0
kwallis performance if (treatment ==1 | treatment == 3) & round_number == 3 & done == 0 , by(treatment)

//===Raw performance pairing===
use raw_performance_pairing.dta,clear
drop if pair == 15 

//Eval.Stage
sum performance if round_number ==0 
by treatment,sort: sum performance if round_number ==0 
kwallis performance if  round_number == 0, by(treatment)

//Round 1
sum performance if round_number ==1&treatment!=3
by treatment,sort: sum performance if round_number ==1
kwallis performance if treatment != 3 & round_number == 1, by(treatment)

//Round 2
sum performance if round_number ==2
by treatment,sort: sum performance if round_number ==2
kwallis performance if round_number == 2, by(treatment)

//Round 3
sum performance if round_number ==3&done==0&(treatment==1|treatment==3)
by treatment,sort: sum performance if round_number ==3 &done ==0
kwallis performance if (treatment ==1 | treatment == 3) & round_number == 3 & done == 0 , by(treatment)

//===Contest performance pairing===
use contest_performance_pairing.dta,clear

//Eval.Stage
sum performance if round_number ==0 
by treatment,sort: sum performance if round_number ==0 
kwallis performance if  round_number == 0, by(treatment)

//Round 1
sum performance if round_number ==1&treatment!=3
by treatment,sort: sum performance if round_number ==1
kwallis performance if treatment != 3 & round_number == 1, by(treatment)

//Round 2
sum performance if round_number ==2
by treatment,sort: sum performance if round_number ==2
kwallis performance if round_number == 2, by(treatment)

//Round 3
sum performance if round_number ==3&done==0&(treatment==1|treatment==3)
by treatment,sort: sum performance if round_number ==3 &done ==0
kwallis performance if (treatment ==1 | treatment == 3) & round_number == 3 & done == 0 , by(treatment)



//====table 7=================
use raw_performance_pairing.dta,clear
drop if pair==15&treatment==2

//part 1 round1
by treatment,sort: sum performance if round_number ==0 
by treatment,sort: sum performance3 if round_number ==0 
// the stop and stop_time exclude previous data 
by treatment,sort: sum stop if round_number ==0 &new_data==1
by treatment,sort: sum stop_time if round_number ==0 &new_data==1
//part 1 round 2
expand 2 if treatment==3&round==0&new_data==0,gen(temp_dupli)
replace performance =performance3 if temp_dupli==1
replace opp_performance =opp_performance3 if temp_dupli==1
replace round_number=-1 if temp_dupli==1

by treatment,sort: sum performance if round_number==-1
by treatment,sort: sum stop if round==-1&new_data==1
by treatment,sort: sum stop_time if round==-1&new_data==1

//part 2 round 1
by treatment,sort: sum performance if round_number ==1
by treatment,sort: sum stop if round_number ==1
by treatment,sort: sum stop_time if round_number ==1

//part2 round 2
bys treatment treated: su performance if round_number == 2
bys treatment treated: su stop if round_number == 2
bys treatment treated: su stop_time if round_number == 2

bys treatment treated: su effort_change if round_number == 2 &treatment!=3
bys treatment treated: su stop_change if round_number == 2 &treatment!=3
bys treatment treated: su stop_time_change if round_number == 2 &treatment!=3

//part 2 round3
bys treatment treated: su performance if round_number == 3 & done == 0 
bys treatment treated: su stop if round_number == 3 & done == 0 
bys treatment treated: su stop_time if round_number == 3 & done == 0 

bys treatment treated: su effort_change if round_number	== 3 & done == 0 
bys treatment treated: su stop_change if round_number	== 3 & done == 0 
bys treatment treated: su stop_time_change if round_number	== 3 & done == 0 




//====table 8=================
use contest_performance_pairing.dta,clear

//part 1 round1
by treatment,sort: sum performance if round_number ==0 
by treatment,sort: sum performance3 if round_number ==0 
// the stop and stop_time exclude previous data 
by treatment,sort: sum stop if round_number ==0 &new_data==1
by treatment,sort: sum stop_time if round_number ==0 &new_data==1
//part 1 round 2
expand 2 if treatment==3&round==0&new_data==0,gen(temp_dupli)
replace performance =performance3 if temp_dupli==1
replace opp_performance =opp_performance3 if temp_dupli==1
replace round_number=-1 if temp_dupli==1

by treatment,sort: sum performance if round_number==-1
by treatment,sort: sum stop if round==-1&new_data==1
by treatment,sort: sum stop_time if round==-1&new_data==1

//part 2 round 1
by treatment,sort: sum performance if round_number ==1
by treatment,sort: sum stop if round_number ==1
by treatment,sort: sum stop_time if round_number ==1

//part2 round 2
bys treatment treated: su performance if round_number == 2
bys treatment treated: su stop if round_number == 2
bys treatment treated: su stop_time if round_number == 2

bys treatment treated: su effort_change if round_number == 2 &treatment!=3
bys treatment treated: su stop_change if round_number == 2 &treatment!=3
bys treatment treated: su stop_time_change if round_number == 2 &treatment!=3

//part 2 round3
bys treatment treated: su performance if round_number == 3 & done == 0 
bys treatment treated: su stop if round_number == 3 & done == 0 
bys treatment treated: su stop_time if round_number == 3 & done == 0 

bys treatment treated: su effort_change if round_number	== 3 & done == 0 
bys treatment treated: su stop_change if round_number	== 3 & done == 0 
bys treatment treated: su stop_time_change if round_number	== 3 & done == 0 






//======table 9========================
//confidence question 1
use all_observations.dta,clear

by treatment,sort: sum confidence if round==1
by treatment is_winner,sort: sum confidence if round==1
ttest confidence if treatment== 1&round==1, by(is_winner)
ttest confidence if treatment== 2&round==1, by(is_winner)
ttest confidence if treatment== 4&round==1, by(is_winner)

//treated =1 winner in round 1, 0 loser in round 1
by treatment treated,sort: sum confidence if round==2
by treatment treated,sort: sum confidence_change if round==2

//r2_win==1: round 2 winner and played 3 rounds(round 1 is loser&round 2 winner)
//r2_win==0: round 2 loswer and played 3 rounds(round 1 winner&round 2 loser )
by treatment r2_win,sort: sum confidence if round==3&done==0
by treatment r2_win,sort: sum confidence_change if round==3&done==0

//======table 10========================
//confidence question 2
use contest_performance_pairing.dta,clear
by treatment,sort: sum confidence2 if round==1
by treatment is_winner,sort: sum confidence2 if round==1
ttest confidence2 if treatment== 1&round==1, by(is_winner)
ttest confidence2 if treatment== 2&round==1, by(is_winner)
ttest confidence2 if treatment== 4&round==1, by(is_winner)

//treated =1 winner in round 1, 0 loser in round 1
by treatment treated,sort: sum confidence2 if round==2
by treatment treated,sort: sum confidence2_change if round==2

//r2_win==1: round 2 winner and played 3 rounds(round 1 is loser&round 2 winner)
//r2_win==0: round 2 loswer and played 3 rounds(round 1 winner&round 2 loser )
by treatment r2_win,sort: sum confidence2 if round==3
by treatment r2_win,sort: sum confidence2_change if round==3



//table 11 demographics=============
use all_observations.dta,clear
sum q_gender q_age q_enjoy q_hard q_risk if round==3 
by treatment,sort: sum q_gender q_age q_enjoy q_hard q_risk if round==3

kwallis q_gender if  round_number == 3, by(treatment)
kwallis q_age if  round_number == 3, by(treatment)
kwallis q_enjoy if  round_number == 3, by(treatment)
kwallis q_hard if  round_number == 3, by(treatment)
kwallis q_risk if  round_number == 3, by(treatment)






















