cd "~/Dropbox/contest/QE submission supporting document"
use contest_performance_pairing.dta,clear

//treatments:
//treatment==1 -> Baseline
//treatment==2 -> PastInfo
//treatment==3 -> FutureInfo
//treatment==4 -> PastWinUn


by n_right_games,sort: sum performance if treatment==3&round==2


global rep = 2000
global bw = 0.025
//======================subsample n_right_games<=2======================
//dependent variable change in effort/time/productivity
bootstrap r(ate), rep($rep) nodots  seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games<=2, llr outcome(effort_change)  ///
pscore(p_score)  ate common bwidth($bw)
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games<=2, llr outcome(stop_time_change)  ///
pscore(p_score)  ate common bwidth($bw)
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games<=2, llr outcome(productivity_change)  ///
pscore(p_score)  ate common bwidth($bw)

bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games<=2, llr outcome(p_win_change)  ///
pscore(p_score)  ate common bwidth($bw)

//======================subsample n_right_games>2======================
//dependent variable change in effort/time/productivity
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games>2, llr outcome(effort_change)  ///
pscore(p_score)  ate common bwidth($bw)
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games>2, llr outcome(stop_time_change)  ///
pscore(p_score)  ate common bwidth($bw)
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games>2, llr outcome(productivity_change)  ///
pscore(p_score)  ate common bwidth($bw)
bootstrap r(ate), rep($rep) nodots   seed(1234): psmatch2 treated ///
if round_number == 2 & treatment == 3&n_right_games>2, llr outcome(p_win_change)  ///
pscore(p_score)  ate common bwidth($bw)	











